ONVIF::PTZ::Types::Dot11SecurityConfiguration(3)

NAME
ONVIF::PTZ::Types::Dot11SecurityConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType Dot11SecurityConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   Algorithm

•   PSK

•   Dot1X

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::Dot11SecurityConfiguration
   Mode => $some_value, # Dot11SecurityMode
   Algorithm => $some_value, # Dot11Cipher
   PSK =>  { # ONVIF::PTZ::Types::Dot11PSKSet
     Key => $some_value, # Dot11PSK
     Passphrase => $some_value, # Dot11PSKPassphrase
     Extension =>  { # ONVIF::PTZ::Types::Dot11PSKSetExtension
     },
   },
   Dot1X => $some_value, # ReferenceToken
   Extension =>  { # ONVIF::PTZ::Types::Dot11SecurityConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL